## net.sf.saxon.expr
Class PathMap.PathMapArc

    java.lang.Object
      net.sf.saxon.expr.PathMap.PathMapArc

Enclosing class:
  PathMap

    public static class PathMap.PathMapArc

extends java.lang.Object

An arc joining two nodes in the path map. The arc has a target (destination) node, and is labelled with an AxisExpression representing a step in a path expression

Method Summary
`AxisExpression` `getStep()` Get the AxisExpression associated with this arc
`PathMap.PathMapNode` `getTarget()` Get the target node representing the destination of this arc

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getStep

    public AxisExpression getStep()

  Get the AxisExpression associated with this arc

  Returns:
    the AxisExpression

### getTarget

    public PathMap.PathMapNode getTarget()

  Get the target node representing the destination of this arc

  Returns:
    the target node

Copyright (c) Saxonica Limited. All rights reserved.